%define		module	itools
%define		pdf_ver 20060321
Summary:	Python package that encapsulates several Python tools
Summary(pl.UTF-8):	Zbiór narzędzi dla Pythona
Name:		python-%{module}
Version:	0.13.2
Release:	4
License:	GPL
Group:		Libraries/Python
Source0:	http://www.ikaaro.org/download/itools/%{module}-%{version}.tar.gz
# Source0-md5:	3282dd8352ba9085b2fd1f5a8eb5c96e
Source1:	http://www.ikaaro.org/documentation/%{module}-%{pdf_ver}.pdf
# Source1-md5:	5e92187252f907f6ef7464b61e24b8fd
Source2:	http://www.ikaaro.org/download/itools/%{module}-examples.tar.gz
# Source2-md5:	c9a9759752bf7bc606e8fc7b24282f6b
URL:		http://www.ikaaro.org/
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	python-PyXML >= 0.8.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Itools is a Python package that encapsulates several Python tools.

%description -l pl.UTF-8
Itools jest zbiorem narzędzi dla Pythona.

%package doc
Summary:	Documentation for itools modules
Summary(pl.UTF-8):	Dokumentacja do modułów pakietu itools
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%%description doc
This package contains documentation for itools Python modules.

%description doc -l pl.UTF-8
Pakiet zawierający dokumentację dla modułów Pythona z pakietu itools.

%package examples
Summary:	Examples for itools modules
Summary(pl.UTF-8):	Przykłady wykorzystania modułów pakietu itools
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This package contains examples for itools Python modules.

%description examples -l pl.UTF-8
Pakiet zawierający przykładowe programy wykorzystujące moduły Pythona
z pakietu itools.

%prep
%setup -q -n %{module}-%{version}
cp %{SOURCE1} ./
tar -zxf %{SOURCE2}

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir},%{_examplesdir}/%{name}-%{version},%{_bindir}}

%py_install

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" -exec rm -rf {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt
%{_bindir}/*
%{py_sitescriptdir}/%{module}

%files doc
%defattr(644,root,root,755)
%doc %{module}-%{pdf_ver}.pdf

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-itools.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 179cb9f
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2fe0082
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> fbccda3
- added BR: python-modules, rpm-pythonprov

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 40da937
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 15911bd
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2e4cb99
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 834a5c9
- converted to UTF-8

* Fri Apr 21 2006 piti <piti@pld-linux.org> f21bc57
- up to 0.13.2

* Thu Feb 09 2006 piti <piti@pld-linux.org> f172adc
- up to 0.12.3
- Added SOURCE2 that contains examples, which are now distributed
  in separate package.

* Sat Aug 13 2005 ciesiel <ciesiel@pld-linux.org> 886adb8
- upgraded to version 0.10.0

* Sat Aug 06 2005 ciesiel <ciesiel@pld-linux.org> 02dccc2
- upgraded to version 0.9.3

* Mon Jun 27 2005 ciesiel <ciesiel@pld-linux.org> ce8cf4b
- upgraded to version 0.9.2

* Thu Apr 14 2005 ciesiel <ciesiel@pld-linux.org> 2e3aa27
- upgraded to version 0.7.3

* Wed Feb 02 2005 Jakub Bogusz <qboosh@pld-linux.org> cd2ad01
- gpm-friendly Source1 URL

* Wed Feb 02 2005 ciesiel <ciesiel@pld-linux.org> fab37b9
- upgraded to version 0.6.2

* Mon Jan 10 2005 ciesiel <ciesiel@pld-linux.org> 8926926
- typo
- rel. 2

* Mon Jan 10 2005 ciesiel <ciesiel@pld-linux.org> 9fdae39
- upgraded to version 0.6.0
- addded doc package

* Mon Jan 10 2005 Jakub Bogusz <qboosh@pld-linux.org> 22380cf
- updated URL, note about new version and docs

* Sun Jan 09 2005 ciesiel <ciesiel@pld-linux.org> 4a3f3cb
- added obsoletes for doc

* Sun Jan 09 2005 ciesiel <ciesiel@pld-linux.org> 2929729
- upgraded to version 0.5.0
- removed of creation package doc (error in makefile)

